> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 시크릿 삭제

> 시크릿 삭제.

**`DELETE`** `https://api-datahub.octoparse.com/v1/secrets/{name}`

인증: API 키 필요(`Authorization: Bearer <API Key>`).

저장 시크릿 삭제. `env.<name>`을 계속 참조하는 App은 복구 또는 App 업데이트까지 이후 실행 실패.

## 요청

### 경로 파라미터

<ParamField path="name" type="string" required>
  시크릿 이름.
</ParamField>

### 요청 예시

```bash theme={null}
curl -X DELETE   -H "Authorization: Bearer $OCTOPARSE_API_KEY"   "https://api-datahub.octoparse.com/v1/secrets/EXAMPLE_API_KEY"
```

## 응답

### 200 성공

```json theme={null}
{
  "data": {
    "name": "EXAMPLE_API_KEY",
    "deleted": true
  }
}
```

### 오류

| HTTP | `code`             | `category`  | 설명              |
| ---- | ------------------ | ----------- | --------------- |
| 401  | `unauthorized`     | `forbidden` | API 키 누락 또는 무효. |
| 404  | `secret-not-found` | `not_found` | 시크릿 없음.         |

오류 응답은 `{"error": {code, category, message, retryable}}`입니다. <a href="/docs/ko/datahub/api/reference/introduction#errors">오류</a> 참고.

## 클라이언트 라이브러리

Python / JavaScript SDK는 아직 이 엔드포인트를 감싸지 않습니다. REST를 직접 호출하세요.
